Subject: Re: bug#52823: [PATCH 1/2] gnu: gx-vbass-preamp-lv2: Update to latest commit to fix build issue.

From: Maxime Devos <[email-masked]>
Date: Sat, 23 Jul 2022 15:29:31 +0200

On 17-07-2022 20:00, Thorsten Wilms wrote:
> +      (arguments
> +       (substitute-keyword-arguments (package-arguments gx-guvnor-lv2)
> +         ((#:make-flags flags) `(cons (string-append "CC=" ,(cxx-for-target)) ,flags))))

This presumably works but is fragile -- if at some point in time, 
gx-guvnor-lv2 decides to change to a G-exp, this won't compile anymore. 
Instead, you can do #~(cons (string-append "CC=" #$(cxx-for-target)) 
#$flags), which works whether or not gx-guvnor-lv2 uses S-exps or G-exps.

Also, I don't understand why you are doing CC=g++. CC stands for 
c-compiler, not C++ compiler, so I would have expected "CC=" 
#$(cc-for-target) or "CXX=" #$(cxx-for-target) instead, unless 
gx-vbass-preamp-lv2 is not following these conventions.

Otherwise, these patches look reasonable to me, though TBC, I did not 
test them, I only looked at the patches theirselves.

Greetings,
Maxime.